namespace ShoopNCook;
using Microsoft.Maui.Controls;
using Models;
using Endpoint;
using ShoopNCook.Controllers;
using ShoopNCook.Pages;

public partial class ConnectAppShell : Shell
{
	public ConnectAppShell(ConnectionObserver observer, IAuthService accounts, IUserNotifier notifier)
	{
		ConnectionController controller = new ConnectionController(observer, accounts, notifier);
		InitializeComponent();
		LoginPage.ContentTemplate = new DataTemplate(() => new LoginPage(controller));
		RegisterPage.ContentTemplate = new DataTemplate(() => new RegisterPage(controller));
    }
}
